## org.eclipse.datatools.sqltools.core
Class DatabaseIdentifier

    java.lang.Object
      org.eclipse.datatools.sqltools.core.DatabaseIdentifier

public class DatabaseIdentifier
extends java.lang.Object

Uniquely identifies a database. Note: we treat it as differnet database if it is from a different profile connection.

Author:
  Yang Liu, Hui Cao

Constructor Summary
`DatabaseIdentifier(java.lang.String profileName)` Constructs a `DatabaseIdentifier` object using the given connection profile name.
`DatabaseIdentifier(java.lang.String profileName, java.lang.String dbname)` Constructs a `DatabaseIdentifier` object using the given connection profile name and database name.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDBname()`
`java.lang.String` `getProfileName()`
`int` `hashCode()`
`void` `setDBname(java.lang.String dbName)`
`void` `setProfileName(java.lang.String profileName)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseIdentifier

    public DatabaseIdentifier(java.lang.String profileName,
                              java.lang.String dbname)

  Constructs a `DatabaseIdentifier` object using the given connection profile name and database name.

### DatabaseIdentifier

    public DatabaseIdentifier(java.lang.String profileName)

  Constructs a `DatabaseIdentifier` object using the given connection profile name.

Method Detail

### getProfileName

    public java.lang.String getProfileName()

### getDBname

    public java.lang.String getDBname()

### equals

    public boolean equals(java.lang.Object obj)

### setProfileName

    public void setProfileName(java.lang.String profileName)

### setDBname

    public void setDBname(java.lang.String dbName)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.